KubeOne(1)

NAME
kubeone-proxy - Proxy to the kube-apiserver using SSH tunnel

SYNOPSIS
kubeone proxy [flags]

DESCRIPTION
HTTPS Proxy (CONNECT method) SSH tunnel.

This command helps to reach kubeapi endpoint with local kubectl in case when private/firewalled endpoint is used (e.g. internal loadbalancer). It creates SSH tunnel to one of the control-plane nodes and then proxies incoming requests through it.

OPTIONS
-h, --help[=false]
    help for proxy

--listen="127.0.0.1:8888"
    SSH tunnel HTTP proxy bind address

OPTIONS INHERITED FROM PARENT COMMANDS
-c, --credentials=""
    File to source credentials and secrets from

-d, --debug[=false]
    debug output with stacktrace

-l, --log-format="text"
    format for logging

-m, --manifest="./kubeone.yaml"
    Path to the KubeOne config

-t, --tfjson=""
    Source for terraform output in JSON - to read from stdin. If path is a file, contents will be used. If path is a dictionary, terraform output -json is executed in this path

-v, --verbose[=false]
    verbose output

EXAMPLE
    kubeone proxy -m mycluster.yaml -t terraformoutput.json

SEE ALSO
kubeone(1)

HISTORY
2-Feb-2026 Auto generated by spf13/cobra